<?xml version="1.0"?>
<root
  xmlns="http://panopainter.com/layout.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>

  <layout id="tpl-brush-icon">
    <button-custom width="50" height="50" margin="1" pad="2" align="center" justify="center">
      <image width="100%" height="100%"/>
    </button-custom>
  </layout>
  <layout id="tpl-panel-brush-preset">
    <node rtl="ltr" min-width="100">
      <border id="notification" color=".4" align="center" justify="center" grow="2">
        <text text="No brush presets loaded."/>
        <text text="Import from Photoshop ABR files."/>
        <text text="Or download free ones."/>
        <border color=".3" dir="row" height="60" margin="15 0 15 0">
          <button id="import" text="Import Brush" pad="10" height="100%"/>
          <button id="download" text="Download" pad="10" height="100%"/>
        </border>
        <text text="Otherwise you can create new brushes,"/>
        <text text="using the Brush Settings Tool and add"/>
        <text text="the new brush here with the + button"/>
      </border>
      <scroll id="brushes" color=".4" pad="5 20 5 5" dir="col" wrap="0" flood-events="1" grow="1" height="1"/>
      <border id="toolbar" height="40" color=".5" dir="row" align="center" flood-events="1">
        <button-custom id="btn-add" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 5">
          <icon width="30" icon="add"/>
        </button-custom>
        <button-custom id="btn-up" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_arrow_up"/>
        </button-custom>
        <button-custom id="btn-down" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_arrow_down"/>
        </button-custom>
        <!--<button-custom id="btn-save" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_disk"/>
        </button-custom>-->
        <node grow="1"></node>
        <button-custom id="btn-remove" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 10 0 0">
          <icon width="30" icon="bin_closed"/>
        </button-custom>
        <button-custom id="btn-menu" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 10 0 10">
          <icon width="30" icon="resultset_next"/>
        </button-custom>
      </border>
    </node>
  </layout>
  <layout id="tpl-brush-preset">
    <button-custom height="70" margin="1" pad="5" align="center" justify="center" dir="row">
      <!--<node width="30" align="center">
        <checkbox icon="data/ui/check-lock-transparency.png" width="20" height="20" pad="0"/>
      </node>-->
      <border color="1" width="40" height="60" align="center" justify="center" dir="col">
        <image id="thumb" width="40" height="40"/>
        <text id="caption-size" text="000" color="0" margin="3 0 0 0"/>
      </border>
      <stroke-preview id="canvas" width="1" grow="1" height="60"/>
    </button-custom>
  </layout>
  <layout id="tpl-brush-popup">
    <popup-menu positioning="absolute" position="100 100" width="200" thickness="1" border-color=".1" color=".4 .4 .4 .8" dir="col">
      <button-custom id="import" height="40" align="center" color=".2" pad="0 0 0 10" dir="row">
        <text text="Import from File" grow="1" margin="0 0 0 5"/>
      </button-custom>
      <button-custom id="export" height="40" align="center" color=".2" pad="0 0 0 10" dir="row">
        <text text="Export to File" grow="1" margin="0 0 0 5"/>
      </button-custom>
      <button-custom id="download" height="40" align="center" color=".2" pad="0 0 0 10" dir="row">
        <text text="Download from Cloud" grow="1" margin="0 0 0 5"/>
      </button-custom>
      <button-custom id="share" height="40" align="center" color=".2" pad="0 0 0 10" dir="row">
        <text text="Share to Cloud" grow="1" margin="0 0 0 5"/>
      </button-custom>
      <button-custom id="clear-all" height="40" align="center" color=".2" pad="0 0 0 10" dir="row">
        <icon icon="bin" width="20"/>
        <text text="Delete all presets" grow="1" margin="0 0 0 5"/>
      </button-custom>
    </popup-menu>
  </layout>
  <layout id="tpl-panel-brushes">
    <node rtl="ltr">
      <scroll id="brushes" color=".4" pad="5" dir="row" wrap="1" flood-events="1" grow="1" height="1"/>
      <border height="40" color=".5" dir="row" align="center" flood-events="1">
        <button-custom id="btn-add" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 5">
          <icon width="30" icon="add"/>
        </button-custom>
        <button-custom id="btn-up" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_arrow_up"/>
        </button-custom>
        <button-custom id="btn-down" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_arrow_down"/>
        </button-custom>
        <!--
        <button-custom id="btn-save" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_disk"/>
        </button-custom>
        -->
        <node grow="1"></node>
        <button-custom id="btn-remove" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 10 0 0">
          <icon width="30" icon="bin_closed"/>
        </button-custom>
      </border>
    </node>
  </layout>

</root>
